--[[ **********************************************
Determine operating system information

Global variables:
=================
String: OSName
Number: MajorVersionNumber
Number: MinorVersionNumber
String: ServicePackLevel
Boolean: Is64bit
Boolean: IsServer

***************************************************]]--
fDebug("[Script Start]: Detect_OperatingSystem");
local OSVersionInfoTable = System.GetOSVersionInfo();

OSName = System.GetOSName();
MajorVersionNumber = String.ToNumber(OSVersionInfoTable.MajorVersion);
MinorVersionNumber = String.ToNumber(OSVersionInfoTable.MinorVersion);
ServicePackLevel = OSVersionInfoTable.CSDVersion;
Is64bit = System.Is64BitOS();
if ((OSVersionInfoTable.ProductType) == 1) then
	IsServer = false;
else
	IsServer = true;
end

bScriptRanToCompletion = true;
fDebug("[Script Exit]: Detect_OperatingSystem \r\n");